Summary:	Near Field Communication manager
Summary(pl.UTF-8):	Zarządca połączeń NFC (Near Field Communication)
Name:		neard
Version:	0.13
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.kernel.org/pub/linux/network/nfc/%{name}-%{version}.tar.xz
# Source0-md5:	bab0fc7f92f45222b9c648c1481ac206
URL:		https://01.org/linux-nfc
BuildRequires:	dbus-devel >= 1.2
BuildRequires:	glib2-devel >= 1:2.28
BuildRequires:	libnl-devel >= 3.2
BuildRequires:	linux-libc-headers >= 7:3.6
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	dbus >= 1.2
Requires:	glib2 >= 1:2.28
Requires:	libnl >= 3.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
neard is NFC user space stack running on top of the Linux kernel NFC
subsystem.

NFC (Near Field Communication) is a short-range (a few
inches/centimeters) radio technology that enables communication
between devices that either touch or are momentarily held close
together. NFC is an open technology standardized by the NFC Forum. It
is based on RFID.

%description -l pl.UTF-8
neard to stos NFC działający w przestrzeni użytkownika w oparciu o
podsystem NFC jądra Linuksa.

NFC (Near Field Communication - komunikacja bliskiego zasięgu) to
krótkozasięgowa (kilka cali/centymetrów) technika radiowa,
pozwalająca na komunikację między urządzeniami stykającymi się lub
chwilowo trzymanymi obok siebie. NFC to technika otwarta,
standaryzowana prez NFC Forum. Jest oparta na RFID.

%package devel
Summary:	Header files for neard plugins
Summary(pl.UTF-8):	Pliki nagłówkowe dla wtyczek neard
Group:		Development/Libraries
Requires:	dbus-devel >= 1.2
Requires:	glib2-devel >= 1:2.28
Requires:	libnl-devel >= 3.2
# doesn't require base

%description devel
Header files for neard plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla wtyczek neard.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--enable-tools

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for external plugins
install -d $RPM_BUILD_ROOT%{_libdir}/near/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/nfctool
%dir %{_libexecdir}/nfc
%attr(755,root,root) %{_libexecdir}/nfc/neard
%dir %{_libdir}/near
%dir %{_libdir}/near/plugins
# not used yet
#%dir %{_sysconfdir}/neard
/etc/dbus-1/system.d/org.neard.conf
%{_mandir}/man1/nfctool.1*
%{_mandir}/man5/neard.conf.5*
%{_mandir}/man8/neard.8*

%files devel
%defattr(644,root,root,755)
%doc doc/*-api.txt
%{_includedir}/near
%{_pkgconfigdir}/neard.pc
%changelog
* Sun Oct 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/neard.git;a=log;h=master

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 533d9c8
- updated to 0.13

* Fri Jul 05 2013 Jakub Bogusz <qboosh@pld-linux.org> ce570cc
- updated to 0.12

* Fri Apr 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 27ad62b
- updated to 0.11

* Wed Mar 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 65155dc
- updated to 0.10

* Thu Feb 14 2013 Tomasz Pala <gotar@pld-linux.org> cc66e14
- fixed pl translation ('technology' translates to 'technika')

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ed7b74
- release 3 (by relup.sh)

* Sun Jan 13 2013 Jan Rękorajski <baggins@pld-linux.org> 5ae8f8e
- release 2 (by relup.sh)

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 03112a6
- updated to 0.9

* Wed Nov 07 2012 Jakub Bogusz <qboosh@pld-linux.org> a5b50fa
- updated to 1.8

* Sat Oct 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 9963986
- updated to 0.7

* Thu Oct 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 378a89d
- linux 3.6 has been released, now neard builds; release 1

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 41bf3a7
- initial; needs upcoming Linux 3.6 or so

